Search the Community
Showing results for tags 'entites 210-230'.
-
Multiple Text Entity Rotate by each entity insertion point, make visible in PLAN.
chris2012 posted a topic in AutoLISP, Visual LISP & DCL
I am looking to rotate multiple text entities about their own individual insertion points to an orientation legible in plan view. This is not a simple matter of changing the angle of rotation as this rotates about the wrong axis (and of course multiple items)! Through experimenting with dxf codes I have established that if codes 210,220 and 230 are set to 0,0,1 then this does achieve the desired result. i.e. (210 0.0) (220 0.0) (230 1.0) The reason I am doing this is to format text output from another drawing package. I have found and am trying to modify the attached Lee Mac "change colour" lisp to achieve the result highlighted above and would be greatful for any help from the collective on this. Note that I alighted on this code as it adds the desired entities if they do not originally exist. Thanks in advance for any help \ pointers Chris (defun c:doit (/ i ss ent eLst) (if (setq i -1 ss (ssget "_:L")) (while (setq ent (ssname ss (setq i (1+ i)))) (setq eLst (entget ent)) (setq eLst (subst '(8 . "0") (assoc 8 eLst) eLst)) (entmod (if (assoc 62 eLst) (subst '(62 . 3) (assoc 62 eLst) eLst) (append eLst '((62 . 3))))))) (princ))- 13 replies
-
- rotate in 3d
- multiple rotate
-
(and 2 more)
Tagged with: